function Y = NT_resquelch(X,DESM)
% Y = NT_resquelch(X,DESM)
%    Reintroduce "gaps" removed by desquelch, as described in DESM,
%    into 3-col label sequence X, pushing back label times.
% 2012-05-22 Dan Ellis dpwe@ee.columbia.edu

if size(X,2) == 3
  Y = lab3col_to_lab2col(X);
else
  Y = X;
end

% Re-insert gaps from desquelching
D = [DESM,repmat(1,size(DESM,1),1)];
Y = lab2_insert3(Y,D);
Y = lab2col_to_lab3col(Y);
